Subject: Re: [bitcoin-dev] Generalized covenants with taproot enable riskless or risky lending, prevent credit inflation through fractional reserve

From: Eric Voskuil <[email-masked]>
Date: Fri, 5 Jul 2019 18:28:03 -0700

> On Jul 5, 2019, at 17:17, ZmnSCPxj <[email-masked]> wrote:
> 
> Good morning Eric,
> 
>> But it’s worth noting that early recovery of the UTXO entirely eliminates the value of the time lock cost to the ad market. The most obvious example is one encumbering the coin to himself, then releasing it with his own two signatures whenever he wants. In other words, there is no encumbrance at all, just a bunch of pointless obscurantion.
> 
> You still do not understand.
> I strongly suggest actually reading the post instead of skimming it.

I am responding to the cryptoeconomic principles, not the implementation details. Based on your comments here I am not misrepresenting those principles.

For example, I have shown that the multisig unlock implementation reduces the presumably-encumbered UTXO to simply a UTXO. You have not disputed that. In fact below you have accepted it (more below).

> The advertisement is broadcast to new nodes on the ad network if and only if its backing UTXO remains unspent.
> Once the UTXO is spent, then the advertisement is considered no longer valid and will be outright deleted by existing nodes, and new nodes will not learn of them (and would consider it spam if it is forced to them when the UTXO is already spent, possibly banning the node that pushes the advertisement at them).
> 
> Thus the locked-ness of the UTXO is the lifetime of the advertisement.

The term “locked” here is misused. A unspent output that can be spent at any time is just an unspent output. The fact that you can “unencumber” your own coins should make this exceedingly obvious:

> Once you disencumber the coins (whether your own, or rented) then your advertisement is gone; forever.

As I have shown, there is no *actual* encumbrance.

> Your advertisement exists only as long as the UTXO is unspent.

Exactly, which implies *any* UTXO is sufficient. All that the ad network requires is proof of ownership of any UTXO.

Unspentness is not actually a necessary cost (expense). All coin is always represented as UTXOs. If one has a hoard of coin there is no necessary incremental cost of identifying those coins to “back” ads.This isn’t altered by the proposed design.

The only cost would be to have a hoard that one does not otherwise desire, representing an opportunity cost. Yet, as I have also pointed out, the amount of that opportunity cost can simply be spent (or burned) by the advertiser, representing the same cost. So covering the case where one cannot raise the capital to “back” one’s ad does not require rental, as the cost of the otherwise rental can just be spent outright.

Presumably it would be ideal to transfer the value of those spends to people who provably present the ads for effective viewing (i.e., the AdWords business model). It is of course this market-driven cost of presenting an ad that provides the spam protection/definition for AdWords.

Best,
Eric

> Regards.
> ZmnSCPxj